# Uses of Class
org.apache.wiki.pages.PageLock

Packages that use PageLock
Package
Description
org.apache.wiki.pages
Provides the JSPWiki wiki page related functionality.

## Uses of PageLock in org.apache.wiki.pages

Fields in org.apache.wiki.pages with type parameters of type PageLock
Modifier and Type
Field
Description
`protected final ConcurrentHashMap<String,PageLock>`
DefaultPageManager.`m_pageLocks`
Methods in org.apache.wiki.pages that return PageLock
Modifier and Type
Method
Description
`PageLock`
DefaultPageManager.`getCurrentLock(Page page)`
Returns the current lock owner of a page.
`PageLock`
PageManager.`getCurrentLock(Page page)`
Returns the current lock owner of a page.
`PageLock`
DefaultPageManager.`lockPage(Page page, String user)`
Locks page for editing.
`PageLock`
PageManager.`lockPage(Page page, String user)`
Locks page for editing.
Methods in org.apache.wiki.pages that return types with arguments of type PageLock
Modifier and Type
Method
Description
`List<PageLock>`
DefaultPageManager.`getActiveLocks()`
Returns a list of currently applicable locks.
`List<PageLock>`
PageManager.`getActiveLocks()`
Returns a list of currently applicable locks.
Methods in org.apache.wiki.pages with parameters of type PageLock
Modifier and Type
Method
Description
`void`
DefaultPageManager.`unlockPage(PageLock lock)`
Marks a page free to be written again.
`void`
PageManager.`unlockPage(PageLock lock)`
Marks a page free to be written again.